%global __requires_exclude pear\\(testcase.temp.php\\)
%define upstream_name PHP_LexerGenerator
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.0
Release:     	%mkrel 11
Summary:    	translate lexer files in lex2php format into a PHP 5 lexer
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/PHP_LexerGenerator-%{version}.tgz
URL: 		http://pear.php.net/package/PHP_LexerGenerator
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
Translate a lexer file with a format similar to re2c (http://re2c.org)
  into a PHP 5 lexer for use with a parser.
  
  Unlike re2c (as of re2c version 0.11), generated lexers are state-aware
  out of the box.
  
  Generated lexers are very efficient, more than twice as efficient as
other
  alternatives like csLex (written in C#) because they utilize PHP's
  built-in Perl-compatible regular expressions to lex for tokens.

  Now in version 0.3.0+, with processing instruction %longestmatch,
generated
  lexers will always pick the longest string to match, rather than the
first.
  Generated lexers are slightly slower, but match behavior of legacy lexers
like
  flex, lex, re2c.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
# Lets remove this unneeded file
rm %{buildroot}%{_bindir}/plex.bat
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_LexerGenerator.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_LexerGenerator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_LexerGenerator
fi

%files
%doc docs/PHP_LexerGenerator/*
%{peardir}/*
%{_bindir}/*
%{xmldir}/PHP_LexerGenerator.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-11.mga8
+ Revision: 1499148
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-10.mga7
+ Revision: 1273768
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.4.0-9.mga6
+ Revision: 933385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-8.mga5
+ Revision: 748754
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.4.0-7.mga5
+ Revision: 734161
- rebuild for pear deps

* Sat Sep 27 2014 tv <tv> 0.4.0-6.mga5
+ Revision: 727764
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 687431
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 517126
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-3.mga3
+ Revision: 377211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 spuhler <spuhler> 0.4.0-2.mga2
+ Revision: 199228
- added _requires_exceptions pear(testcase.temp.php)

* Fri Jan 20 2012 spuhler <spuhler> 0.4.0-1.mga2
+ Revision: 198624
- imported package php-pear-PHP_LexerGenerator

